VRPlatformVRPlatform
Teams

/teams

Create team

POST
/teams
X-API-Key<token>

API key provided in dashboard

In: header

Request Body

application/json

defaultCurrency?string|null
longTermStayNights?number|null
defaultRevenueRecognition?string|null
name*string
statementAddress?|null
billingAddress?|null
phone?string|null
taxId?string|null
companyName?string|null
type?string
Value in"partner" | "admin" | "propertyManager"
status?string
Value in"active" | "inactive" | "deleted" | "onboarding"
billingSubscriptionStatus?string|null
billingPlan?string|null
trialUntil?string|null
cancelledAt?string|null
isOnboarding?boolean|null
booksClosedAt?string|null
logo?string|null
statementStartAt?string|null
effectiveStatementStartAt?string|null
ownerPortalShowDraftStatements?boolean
generalLedger*|boolean
partnerId?string|null
billingPartnerId?string|null
addMembers?|null
email*string
Match^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Formatemail

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.edge.vrplatform.app/teams" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "generalLedger": {},    "email": "user@example.com"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "defaultCurrency": "string",
  "longTermStayNights": 0,
  "defaultRevenueRecognition": "checkIn",
  "name": "string",
  "statementAddress": {
    "full": "string",
    "line1": "string",
    "line2": "string",
    "city": "string",
    "state": "string",
    "postalCode": "string",
    "stateCode": "string",
    "countryCode": "string"
  },
  "billingAddress": {
    "full": "string",
    "line1": "string",
    "line2": "string",
    "city": "string",
    "state": "string",
    "postalCode": "string",
    "stateCode": "string",
    "countryCode": "string"
  },
  "phone": "string",
  "email": "string",
  "taxId": "string",
  "partner": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string"
  },
  "billingPartner": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string"
  },
  "companyName": "string",
  "type": "partner",
  "status": "active",
  "billingSubscriptionStatus": "string",
  "billingPlan": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "trialUntil": "string",
  "cancelledAt": "string",
  "isOnboarding": true,
  "issues": [
    {
      "code": "unassignedAccount",
      "severity": "error",
      "context": {
        "accountIds": [
          "string"
        ]
      }
    }
  ],
  "isGeneralLedger": true,
  "booksClosedAt": "string",
  "logo": "string",
  "statementStartAt": "string",
  "effectiveStatementStartAt": "string",
  "ownerPortalShowDraftStatements": true,
  "members": [
    {
      "userId": "string",
      "email": "string",
      "role": "string",
      "name": "string",
      "firstName": "string"
    }
  ],
  "extractableConnections": {
    "property1": {
      "connections": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "appId": "string",
          "urlExample": "string",
          "allowConfirmationCode": true
        }
      ]
    },
    "property2": {
      "connections": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "appId": "string",
          "urlExample": "string",
          "allowConfirmationCode": true
        }
      ]
    }
  }
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}